package com.sun.jmx.snmp.agent;

import javax.management.ObjectName;
import javax.management.Notification;

public class SnmpTableEntryNotification extends Notification
{
    public static final String SNMP_ENTRY_ADDED = "jmx.snmp.table.entry.added";
    public static final String SNMP_ENTRY_REMOVED = "jmx.snmp.table.entry.removed";
    private final Object entry;
    private final ObjectName name;
    private static final long serialVersionUID = 5832592016227890252L;
    
    SnmpTableEntryNotification(String type, Object source, long sequenceNumber, long timeStamp, Object entry, ObjectName name) {
        super(type, source, sequenceNumber, timeStamp);
        this.entry = entry;
        this.name = name;
    }
    
    public Object getEntry() {
        return this.entry;
    }
    
    public ObjectName getEntryName() {
        return this.name;
    }
}
